Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.app.generate.program
Enum NodeType

    java.lang.Object
      java.lang.Enum<NodeType>
          org.encog.app.generate.program.NodeType

All Implemented Interfaces:
  Serializable, Comparable<NodeType>

    public enum NodeType

extends Enum<NodeType>

The type of node.

Enum Constant Summary
`Class` A class declaration.
`Comment` A comment.
`Const` A const value.
`CreateNetwork` A network creation.
`EmbedTraining` Embedded training.
`ForLoop` A for loop.
`Function` A function declaration.
`FunctionCall` A function call.
`InitArray` Init an array.
`LoadTraining` Load training.
`MainFunction` The main function.
`StaticFunction` A static function.
`WhileLoop` A while loop.

Method Summary
`static NodeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Comment

    public static final NodeType Comment

  A comment.

### MainFunction

    public static final NodeType MainFunction

  The main function.

### Function

    public static final NodeType Function

  A function declaration.

### Class

    public static final NodeType Class

  A class declaration.

### ForLoop

    public static final NodeType ForLoop

  A for loop.

### WhileLoop

    public static final NodeType WhileLoop

  A while loop.

### Const

    public static final NodeType Const

  A const value.

### StaticFunction

    public static final NodeType StaticFunction

  A static function.

### FunctionCall

    public static final NodeType FunctionCall

  A function call.

### CreateNetwork

    public static final NodeType CreateNetwork

  A network creation.

### InitArray

    public static final NodeType InitArray

  Init an array.

### EmbedTraining

    public static final NodeType EmbedTraining

  Embedded training.

### LoadTraining

    public static final NodeType LoadTraining

  Load training.

Method Detail

### values

    public static NodeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NodeType c : NodeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NodeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.